## org.eclipse.datatools.enablement.mysql.catalog
Class MySqlCatalogDatabase

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
                                      org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCDatabase
                                          org.eclipse.datatools.enablement.mysql.catalog.MySqlCatalogDatabase

All Implemented Interfaces:
  ICatalogObject, Database, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class MySqlCatalogDatabase

extends JDBCDatabase

This is the Database implementation, and contains schemas (MySql does not have schemas)

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MySqlCatalogDatabase(java.sql.Connection connection)`

Method Summary
`org.eclipse.emf.common.util.EList` `getCatalogs()` Returns the value of the 'Catalogs' reference list.
`org.eclipse.emf.common.util.EList` `getSchemas()` Returns the value of the 'Schemas' reference list.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCDatabase
`eIsSet, getCatalogDatabase, getConnection`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl
`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getAuthorizationIds, getEvents, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### MySqlCatalogDatabase

    public MySqlCatalogDatabase(java.sql.Connection connection)

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`
  Overrides:
    `refresh` in class `JDBCDatabase`

### getSchemas

    public org.eclipse.emf.common.util.EList getSchemas()

  Description copied from interface: `Database`
  Returns the value of the 'Schemas' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Schemas' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getSchemas` in interface `Database`
  Overrides:
    `getSchemas` in class `org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl`
  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Schemas()`, `Schema.getDatabase()`

### getCatalogs

    public org.eclipse.emf.common.util.EList getCatalogs()

  Description copied from interface: `Database`
  Returns the value of the 'Catalogs' reference list. The list contents are of type `Catalog`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Catalogs' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getCatalogs` in interface `Database`
  Overrides:
    `getCatalogs` in class `JDBCDatabase`
  Returns:
    the value of the 'Catalogs' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Catalogs()`, `Catalog.getDatabase()`